getDeviceConfig(params: GetDeviceConfigParams)
Requires:
@tuya-miniapp/cloud-api≥1.0.5
Description
Get device service configuration items
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| Yes | Request body |
Return Value
Type: Promise<GetDeviceConfigResult & Object↓>
Configuration query result, with the UUID from the request context attached (see implementation return type)
| Property | Type | Description |
|---|---|---|
uuid | string | Device UUID |
Referenced Types
type
GetDeviceConfigResult| Property | Type | Description |
|---|---|---|
hadService | boolean | Whether the related service is enabled |
switchState | 0 | 1 | Master switch state (0 / 1) |
configItemList | DeviceServiceConfigItemDto[] | Configuration item list |
Valid Values
GetDeviceConfigParams.serviceBusinessType
| Value | Description | Since |
|---|---|---|
aiSmartFreeEvent | - | - |
aiSmartFreeEventImage2Text | - | - |
GetDeviceConfigResult.switchState
| Value | Description | Since |
|---|---|---|
0 | - | - |
1 | - | - |